### Function

# GLib TraverseNodeFunc

since: 2.68

#### Declaration

    gboolean
    (* GTraverseNodeFunc) (
      GTreeNode* node,
      gpointer data
    )

#### Description

Specifies the type of function passed to g_tree_foreach_node(). It is passed each node, together with the `user_data` parameter passed to g_tree_foreach_node(). If the function returns `TRUE`, the traversal is stopped.

Available since: 2.68

#### Parameters

`node`

  Type: `GTreeNode`

  A `GTreeNode`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to g_tree_foreach_node().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop the traversal.